/*
 * include/asm-sh/io_hs7751rvoip.h
 *
 * Modified version of io_se.h for the hs7751rvoip-specific functions.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * IO functions for an Renesas Technology sales HS7751RVoIP
 */

#ifndef _ASM_SH_HITACHI_HS7751RVOIP_H
#define _ASM_SH_HITACHI_HS7751RVOIP_H

#include <asm/io_generic.h>

extern unsigned char hs7751rvoip_inb(unsigned long port);
extern unsigned short hs7751rvoip_inw(unsigned long port);
extern unsigned int hs7751rvoip_inl(unsigned long port);

extern void hs7751rvoip_outb(unsigned char value, unsigned long port);
extern void hs7751rvoip_outw(unsigned short value, unsigned long port);
extern void hs7751rvoip_outl(unsigned int value, unsigned long port);

extern unsigned char hs7751rvoip_inb_p(unsigned long port);
extern void hs7751rvoip_outb_p(unsigned char value, unsigned long port);

extern void hs7751rvoip_insb(unsigned long port, void *addr, unsigned long count);
extern void hs7751rvoip_insw(unsigned long port, void *addr, unsigned long count);
extern void hs7751rvoip_insl(unsigned long port, void *addr, unsigned long count);
extern void hs7751rvoip_outsb(unsigned long port, const void *addr, unsigned long count);
extern void hs7751rvoip_outsw(unsigned long port, const void *addr, unsigned long count);
extern void hs7751rvoip_outsl(unsigned long port, const void *addr, unsigned long count);

extern unsigned char hs7751rvoip_readb(unsigned long addr);
extern unsigned short hs7751rvoip_readw(unsigned long addr);
extern unsigned int hs7751rvoip_readl(unsigned long addr);
extern void hs7751rvoip_writeb(unsigned char b, unsigned long addr);
extern void hs7751rvoip_writew(unsigned short b, unsigned long addr);
extern void hs7751rvoip_writel(unsigned int b, unsigned long addr);

extern unsigned long hs7751rvoip_isa_port2addr(unsigned long offset);

#ifdef __WANT_IO_DEF

# define __inb			hs7751rvoip_inb
# define __inw			hs7751rvoip_inw
# define __inl			hs7751rvoip_inl
# define __outb			hs7751rvoip_outb
# define __outw			hs7751rvoip_outw
# define __outl			hs7751rvoip_outl

# define __inb_p		hs7751rvoip_inb_p
# define __inw_p		hs7751rvoip_inw
# define __inl_p		hs7751rvoip_inl
# define __outb_p		hs7751rvoip_outb_p
# define __outw_p		hs7751rvoip_outw
# define __outl_p		hs7751rvoip_outl

# define __insb			hs7751rvoip_insb
# define __insw			hs7751rvoip_insw
# define __insl			hs7751rvoip_insl
# define __outsb		hs7751rvoip_outsb
# define __outsw		hs7751rvoip_outsw
# define __outsl		hs7751rvoip_outsl

# define __readb		hs7751rvoip_readb
# define __readw		hs7751rvoip_readw
# define __readl		hs7751rvoip_readl
# define __writeb		hs7751rvoip_writeb
# define __writew		hs7751rvoip_writew
# define __writel		hs7751rvoip_writel

# define __isa_port2addr	hs7751rvoip_isa_port2addr
# define __ioremap		generic_ioremap
# define __iounmap		generic_iounmap

#endif

#endif /* _ASM_SH_HITACHI_HS7751RVOIP_H */
